# History

## 3.0.21

- [core] Add support for MigratableTarget in targttype list
- [wls_opatch] Move output to debug
- [wls_rcu] Less output on regular run.

## 3.0.20

- [release] Prepare for release to forge

## 3.0.19

- [wls_opatch] Add support for remote files
- [wls_jms_security_policy] Fail when JMS resource doesn’t exist

## 3.0.18

- [wls_domain_partition_resource_group_deployment]  Fix title attributes
- [wls_jms_security_policy]  Fix title attributes

## 3.0.17

- [wls_jms_module] Fix typo in policyexpression
- [core] Allow empty strings in properties

## 3.0.16

- [core] Loosen requirements for easy_type

## 3.0.15

- [wls_deployment] Use specfied timeout for wlst deploy and undeploy operations

## 3.0.14

- [wls_jms_module] Add property policyexpression
- [tree] Added support for getting and setting security policy
- [core] Add support for getting resource id to common

## 3.0.13

- [wls_authantication_provider] confine provide until wls running
- [wls_deployment] confine provide until wls running
- [wls_exec] Confine provider
- [wls_authentication_provider] Small performance fix
- [wls_deployment] Add support for purging
- [wls_jms_queue] Add support for purging
- [wls_jms_topic] Add support for purging
- [core] Add support for only fetching specfied properties
- [core] Add support for prefetching only specfied resources
- [wls_deployment] Better handling of validation
- [wls_jms_queue] Add path to error messages
- [wls_jms_topic[ Add path to error messages
- [wls_datasource] Add domain_name parameter
- [travis] Fix run on ruby 2.1
- [wls_jms_queue] No validation when we’re absenting
- [wls_datasource] use default on datasource_type when non-existend
- [wls_jms_queue] Add path to validation errors
- [core] Fix universal usage of to_hash
- [core] Fix auto purge in combination with manual absenting
- [wls_jms_topic] Support for auto purging
- [wls_jms_queue] Fix autopurging with errorque of type topic
- [wls_jms_topic] Fix autopurging with errorque of type queue
- [core] Fix autopurging of resources with a current relation
- [wls_datasource] Add support for datasource_type
- [wls_cluster] Fix template name
- [wls_setting] Not ensurable
- [wls_authentication_provider] Fix bug when absenting
- [core] Use templates in provider folder
- [wls_cluster] remove the autorequire
- [wls_settings] Fix ensurable property
- [core] Move templates into the providers
- [wls_datasource] Map data_source_for_automatic_migration  to path istead of value
- [wls_cluster] remove the default on migration_table_name
- [core] Fix Error: no parameter named 'domain_name' error
- [wls_cluster] Fix autorequire for unicastbroadcastchannel
- [core] Add support for absenting in child_of
- [wls_cluster] Autorequire unicastbroadcastchannel
- [wls_server] Add overload protection properties. Closes #15
- [wls_cluster] Add overload protection properties
- [wls_cluster] Added JTA properties
- [meta] Use meta code on Vagrant box
- [wls_jms_topic] Remove defaults for all properties
- [wls_jms_queue] Remove default for all properties
- [wls_cluster] Add propery candidate_machines_for_migratable_servers
- [core] Fix autorequire for targets
- [wls_role] Add unit and acceptance test
- [core] Moved the parent_of method to access
- [core] make targets property code better understandable.
- [testing] Add more parallel unit tests
- [testing] Add simple jenkins file
- [core] Make sure the code only run’s when AdminServer is running
- [wls_jms_queue] Remove queue without specifying distribution
- [wls_deployment] Add autosubscribe to planpath
- [core] Fix usage of autobefore on puppet versions older then 4.0
- [wls_server] Fix removing servers part of a cluster. Closes #18
- [core] Add support for clearing values
- [core] Fix autorequires when ensuring absent

## 3.0.12

- [wls_deployment] Fix redeployments when new version is found
- [wls_jms_topic] Add templatename property

## 3.0.11

- [core] Fix error in creating WLS paths

## 3.0.10

- [wls_deployment] Synchronous deployments
- [wls_jndi_security_policy] Add extra diconnect from managed server
- [core] Rmove ora_install facts
- [core] Remove old source file
- [wls_server] Add property synchronous_write_policy
- [docs] Fixed link in the readme
- [core] Remove old template

## 3.0.9

- [docs] Updated documentation
- [core] Handle invalid weblogic names with an error
- [wls_server] log_rotationtype description fixed
- [wls_opatch] Fix error in index phase from provider
- [wls_jmsserver] Dont’ resturn a persistentstore type if no presistent store
- [wls_workmanager] Fix title parsing
- [wls_workmanager] Use correct domain_name for wlst path
- [core] extend type api to allow access to real domain name
- [wls_opatch] Name file was still empty
- [wls_opatch] Hanle spaces in product home dir
- [wls_jndi_security_policy] comment out some of the tests
- [acceptance] Speed up the tests
- [wls_server_tlog] tlog_datasource_prefix doesn’t support absent
- [wls_coherence_cluster] Don’t test storage_enabled for now
- [wls_saf_imported_destination_object] Fix acceptance test
- [wls_workmanager] Fix issue when real domain name is different then wls_setting domain name
- [core] Fix issue when real domain name is different then wls_setting domain name
- [wls_coherence_cluster] Make spec’s run without error
- [wls_opatch] Fix wrong number of arguments error
- [core] Make Vagrant file easier
- [unittest] Fix type tests
- [core] Rubular fixes
- [core] refacter autorequire_when
- [wls_settings] Fix acceptance test
- [wls_foreign_server] Fix acceptance test
- [wls_domain] Fix acceptance test
- [core] Update to new add_title_attributes
- [core] Fix autorequires to check for empty values
- [core] Fix way to set absent values

## 3.0.8

- [all] migrated to easy_type 2.1
- [wls_jndi_security_policy] Ensure reconnection to AdminServer
- [wls_deployment] Fix error in destroy
- [wls_jndi_security_policy] Add unit and acceptance tests
- [acceptance] Refactored all test to new box
- [wls_deployment] Fix NameError in error handler
- [wls_jndi_security_policy] Fix action all for non-root elements
- [wls_jndi_security_policy] Fix error on creation in other server
- [core] no more caching of the wls_settings. Fixes purging errors in run.
- [wls_jndi_security_policy] Add support for managing root entries
- [core] Improve even more on reconnect algorithm
- [core] Improve disconnection detection
- [wls_jms_queue] Use specfied errordestinationtype for setting errordestination
- [wls_jms_topic] Use specfied errordestinationtype for setting errordestination
- [wls_jndi_security_policy] Fixed the hang when creating the resources
- [wls_jndi_security_policy] Connect to listenaddress
- [wls_jndi_security_policy] Make policy per wls server
- [wls_jndi_security_policy] Add correct files
- [wls_jndi_security_policy] Initial implementation
- [wls_deployment] Handle when error is raised before deployment is started
- [wls_default_role_mapper] Initial implementation
- [wls_deploy] Improved error reporting on deployment errors
- [core] Sync on defintion of common methods
- [core] setting target doesn’t support absent
- [wls_jms_topic] Fix spec for expirationpolicy set to Redirect
- [wls_jms_queue] Fix spec for expirationpolicy set to Redirect
- [wls_cluster] Fix clusteraddress property. Is not an array
- [wls_deployment] No check on localpath when ensure=absent
- [core] Don’t get realm and realm_path on every type
- [core] Fix support on abseting for references and arrays
- [core] Make acceptance test wait for started Managed Server
- [core] Refacter success and error reporting from wlst to ruby
- [core] refacter wls code for error & success handling
- [core] Add vagrantfile for testing
- [wls_deployment] Added some validation checks. Closes #9

## 3.0.7

- [wls_server] remove server directory containing all files when destroying a server
- [wls_server] Add parameter create_boot_properties and deprecated it’s use

## 3.0.6

- [wls_server] Fix invalid group setting for boot.properties. Closes #6
- [core] Extract rake tesks to easy_type
- [wls_role] Fix implementation
- [wls_opatch] Fix working

## 3.0.5

- [wls_jms_jopic] Fix destroy action
- [wls_jms_queue] Fix destroy action
- [core] Make ruby load path more consistent
- [wls_deployment] Fixes in method for version identification
- [wls_server] Better secure the boot files
- [wls_deployment] Fix detection of current installed version
- [core] Change load procedure for ruby requires

## 3.0.4

- [wls_server] Fix puppet 3.6.8. issue on Arrays
- [core] Fix target setting on Puppet 3.6.8
- [core] Added werker.yml for CI
- [wls_datasource] Fix typo in help text
- [core] Add correct geppetto  project file
- [wls_authentication_provider] Fiox fetching of secured properties
- [wls_authentication_provider] Fetch index from edit tree
- [core] Add geppetto  project file
- [wls_authentication_provider] Fix getting security realm
- [wls_deploy] Make first deployments more robust
- [wls_deployment] Add extra check on file existence
- [wls_deployment] Added extra save when doing redeploy
- [wls_deployment] Add unit spec's
- [wls_deployment] Add deployment_order property


## 3.0.3

- [wls_datasource] Fix ruby 1.8.7 incompatibility
- [wls_server_channel] Allow -1 on property publicport
- [wls_af_imported_destination_object} Fix mapping of property usetimetolivedefault
- [wls_cluster] Fix index condition when templates do not exist
- [wls_server] Move creation of boot.proerties into ruby.
- [core] Fix ruby 1.8.7 incompatibilities
- [wls_setting] Fix when yaml file is not valid
- [wls_cluster] Allow array on clusteraddress
- [core] Fix issue with symbols versus strings in type processing
- [wls_datasource] Fix updating the user property.

## 3.0.2

- [wls_domain] Fix fetching name
- [core] Move some informational messages to debug
- [wls_deployment] Is not a standardized wls resource
- [core] Use correct path when fetching a top level variable from wls

## 3.0.1

- Filtering password information from debug and error log

## 3.0.0

- Adhere to the naming standards of Puppet.
- Use newest version of easy_type with better error reporting of the daemons
- Implement new WebLogic core with better error reporting
- implement extra properties so almast the full spectrum of properties is supported
- Add support for WebLogic 12.2.1
- Add Unit tests for
- Add Acceptance tests

## 2.1.0

- Added some extensive checks to the parameters
- Added better documentation
- Compatible with orawls version 1.0.46

## 2.0.0

- Renamed to enterprisemodule/wls_config
