#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:fanenabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
    Enables the data source to subscribe to and process Oracle FAN events.

  EOD

  newvalues('absent', 1, 0)

  defaultto '0'

  maps_to('JDBCResource/%{datasource_name}/JDBCOracleParams/%{datasource_name}/FanEnabled') {0}

end
