#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:maxcapacity, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-EOD
    The max capacity of the datasource.

  EOD

  defaultto '15'

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/MaxCapacity')

end
