#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:shrinkfrequencyseconds, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-EOD
    Shrink Frequency Seconds.

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/ShrinkFrequencySeconds')

end
