#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jmx_platform_mbean_server_enabled, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
    Platform MBean server enabled.

  EOD

  maps_to('JMX/%{domain_name}/PlatformMBeanServerEnabled')

  newvalues('absent', 1, 0)


end
