#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:setarchiveconfigurationcount, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
    The amount of archived backups of the domain configuration file retained.

  EOD

  maps_to('ArchiveConfigurationCount')

end
