#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:setinternalappdeploymentondemandenable, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  
  desc <<-EOD
    Enable or disabled internal app deployment.

  EOD
  
  maps_to('InternalAppsDeployOnDemandEnabled')

  newvalues('absent', 1, 0)


end
