#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:forwarddelay, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-EOD
  The number of seconds after which a uniform distributed topic member with no consumers will wait before forwarding its messages to other uniform distributed topic members that do have consumers.

  EOD

  maps_to('ForwardDelay') {}
end
