#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:reconnectdelaymax, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The longest time, in seconds, that a messaging bridge instance waits between one failed attempt to connect to the source or target, and the next retry.

  EOD

  maps_to('ReconnectDelayMaximum')
end
