#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:reconnectdelaymin, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The minimum amount of time, in seconds, that a messaging bridge instance waits before it tries to reconnect to the source or target destination after a failure.

  EOD

  maps_to('ReconnectDelayMinimum')
end
