#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:nonpersistentqos, :parent => Puppet::Parameter::WlsProperty) do

  extend SAFImportedDestinationObjectProperty

  desc <<-EOD
  The QoS non persistent of the SAF imported destination object

  EOD

  newvalues('absent', 'Exactly-Once', 'At-Least-Once', 'At-Most-Once')

  maps_to('NonPersistentQos')
end
