#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:object_type) do

  include EasyType

  desc <<-EOD
  The object_type of the SAF imported destination object

  EOD

  munge do | value|
    value.to_sym
  end

  newvalues('queue', 'topic')

  to_translate_to_resource do | raw_resource|
    raw_resource[:object_type]
  end

  on_modify do  
    fail 'object_type is not changeable.'
  end


end
