#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:weblogic_user, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-EOD
  the weblogic user account

  EOD

  maps_to('SAFLoginContext/%{remote_context_name}/Username')

end

child_of(:wls_user, :weblogic_user) { "#{domain}/#{weblogic_user}" }
