#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_http_file_count, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-EOD
    The log http file name of the server.

  EOD

  maps_to('WebServer/%{server_name}/WebServerLog/%{server_name}/FileCount')

end
