#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:additional_migration_attempts, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-EOD
    additional migration attempts

  EOD

  defaultto 2

  maps_to('AdditionalMigrationAttempts')
end
