#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:millis_to_sleep_between_attempts, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-EOD
    The amount of milliseconds to wait between attempts to migrate this singleton service

  EOD

  defaultto 300000

  maps_to('MillisToSleepBetweenAttempts')
end
