#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:storage_enabled) do
  include EasyType

  desc <<-EOD
  Enables coherence storage on its cluster/server targets

  Here is an example on how to use this:

      wls_coherence_cluster { 'aCluster':
        ...
        storage_enabled => '0',
        ...
      }


  EOD
  newvalues( 1, 0)

  defaultto '0'

end
