#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:mincapacity, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-EOD
    The min capacity of the datasource.

  EOD

  defaultto '1'

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/MinCapacity')

end
