#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:statementcachesize, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-EOD
    The statement cache size of the datasource.

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/StatementCacheSize')

end
