#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:wrapdatatypes, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
    Should weblogic wrap data types.

  EOD

  newvalues('absent', '1', '0')
  defaultto '1'

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/WrapTypes')

end
