#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_filecount, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
    The log file count of a domain or server.

  EOD

  maps_to('Log/%{domain_name}/FileCount')
end