#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_rotate_logon_startup, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  log rotate Logon at startup of a domain or server.
  EOD
  newvalues('absent', 1, 0)

  maps_to('Log/%{domain_name}/RotateLogOnStartup')
end