#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:defaulttargeting, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-EOD
  default targeting enabled.

  EOD
  newvalues('absent', 1, 0)

  maps_to('DefaultTargetingEnabled')

  #
  # Only apply this value when explicitly set. When it is 0 don't do anything
  #
  on_apply do
    apply_paths(value) if value == :"1"
  end
end
