#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:listenport, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::PortNumber
  desc <<-EOD
    The listenport of the machine

  EOD

  defaultto 5556

  maps_to 'NodeManager/%{machine_name}/ListenPort'

end