#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:batchinterval, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The maximum amount of time, in milliseconds, that a messaging bridge instance waits before sending a batch of messages in one transaction, regardless of whether the Batch Size has been reached or not

  EOD

  maps_to('BatchInterval')
end
