#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:qosdegradationallowed, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-EOD
  Specifies if this messaging bridge instance allows the degradation of its QOS (quality of service) when the configured QOS is not available.

  EOD
  newvalues('absent', 1, 0)
  defaultto '0'

  maps_to('QOSDegradationAllowed')
end
