#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:testfrequency, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The number of seconds a WebLogic Server instance waits between attempts when testing unused connections. 

  EOD

  maps_to('JDBCResource/%{multi_datasource_name}/JDBCConnectionPoolParams/%{multi_datasource_name}/TestFrequencySeconds')

end
