#
# See the file "LICENSE" for the full license governing this code.
#
module SAFImportedDestinationObjectProperty
  def actual_paths(resource)
    wls_path.collect do |p| 
      path = case resource[:object_type]
      when :queue
        "#{type_path}/SAFQueues/#{resource[key_name]}/#{p}"
      when :topic
        "#{type_path}/SAFTopics/#{resource[key_name]}/#{p}"
      else 
        fail 'internal error'
      end
      path % resource.to_hash
    end
  end
end
