#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:auto_restart, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether the Node Manager can automatically restart this server if it crashes or otherwise goes down unexpectedly. 

  An example on how to use this:

      ...{...:
         ...
         autorestart => '1'
         ...
      }

  Help text generated from MBEan text.

  EOD
  newvalues('absent', 1, 0)

  maps_to('AutoRestart')

end
