#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_redirect_stderr_to_server, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
    When enabled, this redirects the stderr of the JVM in which a WebLogic Server instance runs, to the WebLogic logging system.

  EOD
  newvalues('absent', 1, 0)

  maps_to('Log/%{server_name}/RedirectStderrToServerLogEnabled')
end
