#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:port, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::PortNumber

  desc <<-EOD
  Get the explicit port for this VirtualTarget. 

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         port => 'a_value'
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ExplicitPort')
end
